import type { ISession } from './types';
export interface Resolver {
    test: (url: string) => boolean;
    jatsUrl: (url: string) => string;
}
export declare const elife: Resolver;
export declare const plos: Resolver;
export declare const joss: Resolver;
export declare const DEFAULT_RESOLVERS: Resolver[];
/**
 * Use the known custom resolvers to pick where the JATS should be downloaded from.
 */
export declare function customResolveJatsUrlFromDoi(session: ISession, doiString: string, resolvers?: Resolver[]): Promise<string>;
//# sourceMappingURL=resolvers.d.ts.map